<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout_baru}">
<head>
  <meta charset="UTF-8">
  <title>Program Studi</title>

</head>
<body>
<main layout:fragment="main" class="col-md-9 ms-sm-auto col-lg-10 px-md-4">
  <div class="d-flex justify-content-between flex-wrap flex-md-nowrap align-items-center pt-3 pb-2 mb-3 border-bottom">
    <h4 class="h4">Prodi</h4>
    <!--        <div class="btn-toolbar mb-2 mb-md-0">-->
    <!--            <div class="btn-group me-2">-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Share</button>-->
    <!--                <button type="button" class="btn btn-sm btn-outline-secondary">Export</button>-->
    <!--            </div>-->
    <!--            <button type="button" class="btn btn-sm btn-outline-secondary dropdown-toggle">-->
    <!--                <span data-feather="calendar" class="align-text-bottom"></span>-->
    <!--                This week-->
    <!--            </button>-->
    <!--        </div>-->
  </div>

  <div class="row">
    <div class="col-md-12" style="margin-bottom: 20px;">
      <div class="card">
<!--        <div class="card-header" style="text-align: right;">-->
<!--          <a th:href="@{/prodi/add}" class="btn btn-info btn-sm"><i class="fa fa-plus-circle"></i> Tambah Prodi</a>-->
<!--        </div>-->
        <div class="card-body">
          <div class="row">
            <div class="col-md-12" th:if="${success != null}">
              <div class="alert alert-success alert-dismissible fade show" role="alert">
                <strong>Data berhasil di simpan.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
            <div class="col-md-12" th:if="${delete != null}">
              <div class="alert alert-danger alert-dismissible fade show" role="alert">
                <strong>Data berhasil di hapus.</strong>
                <button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-md-7"></div>
            <div class="col-md-5">
              <form method="get">
                <div class="form-group">
                  <div class="input-group mb-3">
                    <input type="text" name="search" class="form-control" placeholder="Cari nama dokumen, nomor dokumen, tahun" aria-label="">
                    <div class="input-group-append">
                      <button class="btn btn-primary" type="submit">Search</button>
                    </div>
                  </div>
                </div>
              </form>
            </div>
            <div class="col-md-12">
              <div class="table-responsive">
                <table class="table table-striped table-bordered table-hover">
                  <thead>
                  <tr>
                    <th>#</th>
                    <th>Institusi</th>
                    <th>Fakultas</th>
                    <th>Prodi</th>
                    <th>No SK</th>
                    <th>Tanggal Kadaluwarsa</th>
                    <th></th>
                  </tr>
                  </thead>
                  <tbody>
                  <tr th:each="data, row:${list}">
                    <td th:text="${(row.index + 1)}"></td>
                    <td th:text="${data.fakultas.institution.nama}"></td>
                    <td th:text="${data.fakultas.namaFakultas}"></td>
                    <td th:text="${data.namaProdi}"></td>
                    <td th:text="${data.noSk}"></td>
                    <th th:text="${data.tglKadaluwarsa}"></th>
                    <th>
                      <a th:href="@{/prodi/edit(id = ${data.id})}" class="btn btn-primary btn-sm">edit</a>
                    </th>
                  </tr>
                  </tbody>
                </table>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</main>

</body>
</html>
